local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireLaser = ____shouldFire.shouldFireLaser
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostLaserRenderFilter = __TS__Class()
local PostLaserRenderFilter = ____exports.PostLaserRenderFilter
PostLaserRenderFilter.name = "PostLaserRenderFilter"
__TS__ClassExtends(PostLaserRenderFilter, CustomCallback)
function PostLaserRenderFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireLaser
    self.postLaserRender = function(____, laser, renderOffset)
        self:fire(laser, renderOffset)
    end
    self.callbacksUsed = {{ModCallback.POST_LASER_RENDER, self.postLaserRender}}
end
return ____exports
